%define mediadir /srv/gmediaserver
Name:           gmediaserver
Version:        0.12.0
Release:        9%{?dist}
Summary:        UPnP compatible media server for the GNU system

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.gnu.org/software/gmediaserver/
Source0:        http://download.savannah.gnu.org/releases/gmediaserver/%{name}-%{version}.tar.gz
Source1:        %{name}.init
Source2:        %{name}.conf
Source3:        %{name}.logrotate
Patch0:         %{name}-infofix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libupnp-devel gettext taglib-devel flex byacc id3lib-devel e2fsprogs-devel pkgconfig
%if "%{?fedora}" > "6"
BuildRequires:  file-devel
%endif
Requires(post): /sbin/install-info /sbin/chkconfig
Requires(preun): /sbin/install-info /sbin/chkconfig
Requires: logrotate initscripts

%description
GMediaServer is a UPnP compatible media server for the GNU system. It is part
of the GNU project.

GMediaServer serves audio and video files to certain network connected media
players. Most hardware media players only play music and/or video - they don't
provide the media themselves. Those media files have to come from a device on
the network. 

%prep
%setup -q
%patch0 -p0 -b .infofix


%build
%configure  --disable-rpath --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{mediadir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
touch $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}/%{name}.log

install -D -m755 -p %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}

install -D -m644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

install -D -m644 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}

%find_lang %{name}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
/sbin/chkconfig --add %{name} || :

%pre
# Add the "gmediaserver" user
/usr/sbin/groupadd -r gmediaserver &>/dev/null || :
/usr/sbin/useradd -c "gmediaserver" -g gmediaserver \
-s /sbin/nologin -r -d %{mediadir} gmediaserver 2> /dev/null || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
    /sbin/service %{name} stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name} || :
fi

#%postun
#if [ $1 = 0 ]; then
#    /usr/sbin/userdel  gmediaserver &>/dev/null || :
#    /usr/sbin/groupdel gmediaserver &>/dev/null || :
#fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_sbindir}/%{name}
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/%{name}.*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_initrddir}/%{name}
%attr(-,%{name},%{name}) %{_localstatedir}/log/%{name}
%ghost %{_localstatedir}/log/%{name}/%{name}.log
%attr(-,%{name},%{name}) %{mediadir}

%changelog
* Mon May 07 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-9
- Rebuild with new libupnp version
* Sat Apr 28 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-8
- Fix init file
* Thu Apr 19 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-7
- Change BRs
- Fix init-file
* Mon Apr 02 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-6
- small specfile fixes
- delete %%postun section
* Mon Mar 26 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-5
- Fix mediadir in config-file and init
- default log-file in %%ghost
* Thu Mar 22 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-4
- Update requires
- Fix init-script and inconsistency in spec
* Tue Mar 20 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-3
- Add init-script
* Sun Jan 21 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-2
- Update buildrequires
- Fix install-info
* Mon Jan 08 2007 Karol Trzcionka <karlikt at gmail.com> - 0.12.0-1
- Initial Release
